image: registry.gitlab.com/gitlab-org/gitlab-build-images:www-gitlab-com-3.0

ports:
  - port: 4567
    onOpen: open-browser
  - port: 4568
    onOpen: open-browser

tasks:
  - name: Instructions to view sites
    command: >
      echo "See https://gitlab.com/gitlab-com/www-gitlab-com/-/blob/master/doc/gitpod.md for more details." && echo &&
      echo "----------------------------------------------------------------" && echo &&
      echo "This workspace for the handbook and marketing sites is starting." &&
      echo "Please wait, this may take up to 10 minutes or more (longer if this is a new workspace, shorter if it has been started before)." && echo &&
      echo "Progress:" &&
      echo "Starting handbook site..." &&
      gp await-port 4567 &&
      echo "Handbook site started on port 4567." &&
      echo "Starting marketing site..." &&
      gp await-port 4568 &&
      echo "Marketing site started on port 4568." && echo &&
      echo "The handbook and marketing sites are now available!" &&
      echo "Please change to the 'Open Ports' tab to preview or open the handbook or marketing sites."
  - name: Handbook site server (port 4567)
    before: >
      bundle install &&
      yarn install &&
      gp sync-done handbook-dependencies-done
    command: >
      cd sites/handbook &&
      gem install -N webrick &&
      echo && echo "Starting **handbook** site as a background daemon on port 4567..." && echo &&
      NO_CONTRACTS=true bundle exec middleman --daemon --port=4567
  - name: Marketing site server (port 4568)
    before: >
      gp sync-await handbook-dependencies-done &&
      bundle install &&
      yarn install
    command: > 
      cd sites/marketing &&
      gem install -N webrick &&
      echo && echo "Starting **marketing** site as a background daemon on port 4568..." && echo &&
      NO_CONTRACTS=true bundle exec middleman --daemon --port=4568
